import Vue from 'vue'
import Router from 'vue-router'
import HelloWorld from '@/components/HelloWorld'
import Login from '@/components/Login'
import home from '@/components/home'
import Enroll from '@/components/Enroll'
import index from '@/components/child/index'
import test from '@/components/child/test'
import Aideindex from '@/components/child/Aideindex'
import Marketindex from '@/components/child/Marketindex'
import financeindex from '@/components/child/financeindex'
import Globalindex from '@/components/child/Globalindex'
import Generalindex from '@/components/child/Generalindex'
import AuthorityJob from '@/components/child/AuthorityJob'
import Controltree from '@/components/child/Controltree'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Login',
      component: Login
    },
    {
      path: '/home',
      name: 'home',
      component: home,
      children:[
        {
          path: '/home/index',
          name: 'index',
          component: index
        },
        {
          path: '/home/Generalindex',
          name: 'Generalindex',
          component: Generalindex
        },
        {
          path: '/home/test',
          name: 'test',
          component: test
        },
        {
          path: '/home/Aideindex',
          name: 'Aideindex',
          component: Aideindex
        },
        {
          path: '/home/Marketindex',
          name: 'Marketindex',
          component: Marketindex
        },
        {
          path: '/home/financeindex',
          name: 'financeindex',
          component: financeindex
        },
        {
          path: '/home/Globalindex',
          name: 'financeindex',
          component: Globalindex
        },
        {
          path: '/home/AuthorityJob',
          name: 'AuthorityJob',
          component: AuthorityJob
        },
        {
          path: '/home/Controltree',
          name: 'Controltree',
          component: Controltree
        }
      ]
    },
    {
      path: '/Enroll',
      name: 'Enroll',
      component: Enroll
    }
  ]
})
